net.corda.core.serialization

## Class LoggerSerializer

- net.corda.core.serialization.LoggerSerializer

-     public class LoggerSerializer

  For serialising a Logger.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LoggerSerializer` | `INSTANCE` For serialising a Logger.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.slf4j.Logger` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<org.slf4j.Logger> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, org.slf4j.Logger obj)`

- - ### Field Detail

    - #### INSTANCE

          public static LoggerSerializer INSTANCE

      For serialising a Logger.

  - ### Method Detail

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            org.slf4j.Logger obj)

    - #### read

          public org.slf4j.Logger read(com.esotericsoftware.kryo.Kryo kryo,
                                       com.esotericsoftware.kryo.io.Input input,
                                       java.lang.Class<org.slf4j.Logger> type)